.diagram.diagram1 .spectext[data-spectext="1"] {
    left: -59.6375%;
    top: 8.599%;
}

.diagram.diagram1 .spectext[data-spectext="2"] {
    left: -61.348%;
    top: 65.499%;
}

.diagram.diagram1 .spectext[data-spectext="3"] {
    left: 76.4945%;
    top: -6.435%;
}

.diagram.diagram1 .spectext[data-spectext="4"] {
    left: 103.266%;
    top: 76.601%;
}

.diagram.diagram1 .spectext[data-spectext="5"] {
    left: 103.312%;
    top: 37.4005%;
}

.diagram.diagram1 .spectext[data-spectext="6"] {
    left: -61.348%;
    top: 65.499%;
}

.diagram.diagram1 .specpoint[data-spectext="6"]>span {
    font-size: 0;
}

.diagram.diagram1 .specpoint[data-spectext="6"]>span::before {
    content: '2';
    font-size: 1rem;
}

.diagram.diagram1 .specpoint[data-spectext="1"] {
    left: 8.7897%;
    top: 10.699%;
}

.diagram.diagram1 .specpoint[data-spectext="2"] {
    left: 25.5979%;
    top: 73.8971%;
}

.diagram.diagram1 .specpoint[data-spectext="3"] {
    left: 54.2906%;
    top: 19.6998%;
}

.diagram.diagram1 .specpoint[data-spectext="4"] {
    left: 66.3962%;
    top: 72.0895%;
}

.diagram.diagram1 .specpoint[data-spectext="5"] {
    left: 77.9994%;
    top: 39.1982%;
}

.diagram.diagram1 .specpoint[data-spectext="6"] {
    left: 21.0988%;
    top: 85.1935%;
}

.diagram.diagram2 .spectext[data-spectext="1"] {
    left: -34.63%;
    top: -0.244%;
}

.diagram.diagram2 .spectext[data-spectext="2"] {
    left: -35.243%;
    top: 35%;
}

.diagram.diagram2 .spectext[data-spectext="3"] {
    left: -37.623%;
    top: 53.8%;
}

.diagram.diagram2 .spectext[data-spectext="4"] {
    left: -37.3205%;
    top: 65.7005%;
}

.diagram.diagram2 .spectext[data-spectext="5"] {
    left: 105.515%;
    top: 11.501%;
}

.diagram.diagram2 .spectext[data-spectext="6"] {
    left: 99.426%;
    top: 59.899%;
}

.diagram.diagram2 .spectext[data-spectext="7"] {
    left: 105.515%;
    top: 11.501%;
}

.diagram.diagram2 .specpoint[data-spectext="7"]>span {
    font-size: 0;
}

.diagram.diagram2 .specpoint[data-spectext="7"]>span::before {
    content: '5';
    font-size: 1rem;
}

.diagram.diagram2 .specpoint[data-spectext="1"] {
    left: 22.498%;
    top: 1.3984%;
}

.diagram.diagram2 .specpoint[data-spectext="2"] {
    left: 5.4989%;
    top: 40.1983%;
}

.diagram.diagram2 .specpoint[data-spectext="3"] {
    left: 5.6999%;
    top: 57.1998%;
}

.diagram.diagram2 .specpoint[data-spectext="4"] {
    left: 4.5996%;
    top: 67.3998%;
}

.diagram.diagram2 .specpoint[data-spectext="5"] {
    left: 6.5992%;
    top: 20.7918%;
}

.diagram.diagram2 .specpoint[data-spectext="6"] {
    left: 79.7905%;
    top: 52.7946%;
}

.diagram.diagram2 .specpoint[data-spectext="7"] {
    left: 69.1997%;
    top: 0.6981%;
}

.diagram.diagram3 .spectext[data-spectext="1"] {
    left: -47.8445%;
    top: 6.1%;
}

.diagram.diagram3 .spectext[data-spectext="2"] {
    left: -35.4615%;
    top: 52.999%;
}

.diagram.diagram3 .spectext[data-spectext="3"] {
    left: -38.3815%;
    top: 67.4565%;
}

.diagram.diagram3 .spectext[data-spectext="4"] {
    left: -38.5375%;
    top: 93.401%;
}

.diagram.diagram3 .specpoint[data-spectext="1"] {
    left: 22.2895%;
    top: 7.7994%;
}

.diagram.diagram3 .specpoint[data-spectext="2"] {
    left: 18.6998%;
    top: 54.298%;
}

.diagram.diagram3 .specpoint[data-spectext="3"] {
    left: 19.4986%;
    top: 74.6893%;
}

.diagram.diagram3 .specpoint[data-spectext="4"] {
    left: 16.1877%;
    top: 90.1983%;
}

.diagram.diagram4 .spectext[data-spectext="1"] {
    left: -25.3035%;
    top: 9.299%;
}

.diagram.diagram4 .spectext[data-spectext="2"] {
    left: -21.0045%;
    top: 19.701%;
}

.diagram.diagram4 .spectext[data-spectext="3"] {
    left: -24.1065%;
    top: 29.499%;
}

.diagram.diagram4 .spectext[data-spectext="4"] {
    left: -25.3795%;
    top: 75.9995%;
}

.diagram.diagram4 .spectext[data-spectext="5"] {
    left: -24.513%;
    top: 51.601%;
}

.diagram.diagram4 .spectext[data-spectext="6"] {
    left: -28.022%;
    top: 65%;
}

.diagram.diagram4 .spectext[data-spectext="7"] {
    left: -34.7775%;
    top: 85.003%;
}

.diagram.diagram4 .spectext[data-spectext="8"] {
    left: -25.797%;
    top: 97.101%;
}

.diagram.diagram4 .spectext[data-spectext="9"] {
    left: 29.27%;
    top: 104.733%;
}

.diagram.diagram4 .spectext[data-spectext="10"] {
    left: -24.513%;
    top: 51.601%;
}

.diagram.diagram4 .specpoint[data-spectext="10"]>span {
    font-size: 0;
}

.diagram.diagram4 .specpoint[data-spectext="10"]>span::before {
    content: '5';
    font-size: 1rem;
}

.diagram.diagram4 .specpoint[data-spectext="1"] {
    left: 3.5%;
    top: 10.878%;
}

.diagram.diagram4 .specpoint[data-spectext="2"] {
    left: 4.2978%;
    top: 21.5841%;
}

.diagram.diagram4 .specpoint[data-spectext="3"] {
    left: 4.5%;
    top: 30.5999%;
}

.diagram.diagram4 .specpoint[data-spectext="4"] {
    left: 16.8989%;
    top: 74.4799%;
}

.diagram.diagram4 .specpoint[data-spectext="5"] {
    left: 9.1967%;
    top: 67.3991%;
}

.diagram.diagram4 .specpoint[data-spectext="6"] {
    left: 2.6967%;
    top: 66.8988%;
}

.diagram.diagram4 .specpoint[data-spectext="7"] {
    left: 8.3989%;
    top: 81.3999%;
}

.diagram.diagram4 .specpoint[data-spectext="8"] {
    left: 10.6967%;
    top: 84.1987%;
}

.diagram.diagram4 .specpoint[data-spectext="9"] {
    left: 43.8989%;
    top: 95.8943%;
}

.diagram.diagram4 .specpoint[data-spectext="10"] {
    left: 10.5993%;
    top: 53.3983%;
}

.diagram.diagram5 .spectext[data-spectext="1"] {
    left: -35.4%;
    top: 42.974%;
}

.diagram.diagram5 .spectext[data-spectext="2"] {
    left: -33.6995%;
    top: 70.68%;
}

.diagram.diagram5 .spectext[data-spectext="3"] {
    left: 92.5755%;
    top: -11.0785%;
}

.diagram.diagram5 .spectext[data-spectext="4"] {
    left: 97.998%;
    top: 67.904%;
}

.diagram.diagram5 .spectext[data-spectext="5"] {
    left: -33.6995%;
    top: 70.68%;
}

.diagram.diagram5 .specpoint[data-spectext="5"]>span {
    font-size: 0;
}

.diagram.diagram5 .specpoint[data-spectext="5"]>span::before {
    content: '2';
    font-size: 1rem;
}

.diagram.diagram5 .spectext[data-spectext="6"] {
    left: -33.6995%;
    top: 70.68%;
}

.diagram.diagram5 .specpoint[data-spectext="6"]>span {
    font-size: 0;
}

.diagram.diagram5 .specpoint[data-spectext="6"]>span::before {
    content: '2';
    font-size: 1rem;
}

.diagram.diagram5 .spectext[data-spectext="7"] {
    left: 92.5755%;
    top: -11.0785%;
}

.diagram.diagram5 .specpoint[data-spectext="7"]>span {
    font-size: 0;
}

.diagram.diagram5 .specpoint[data-spectext="7"]>span::before {
    content: '3';
    font-size: 1rem;
}

.diagram.diagram5 .specpoint[data-spectext="1"] {
    left: 2.394%;
    top: 43.796%;
}

.diagram.diagram5 .specpoint[data-spectext="2"] {
    left: 17.9989%;
    top: 54.0945%;
}

.diagram.diagram5 .specpoint[data-spectext="3"] {
    left: 86.4977%;
    top: 8.9986%;
}

.diagram.diagram5 .specpoint[data-spectext="4"] {
    left: 85.0985%;
    top: 55.2981%;
}

.diagram.diagram5 .specpoint[data-spectext="5"] {
    left: 14.4996%;
    top: 91.0999%;
}

.diagram.diagram5 .specpoint[data-spectext="6"] {
    left: 17.8959%;
    top: 75.6981%;
}

.diagram.diagram5 .specpoint[data-spectext="7"] {
    left: 91.1877%;
    top: 11.7932%;
}